You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: anto...@freebsd.org
Ident:          $FreeBSD: head/www/tokyopromenade/Makefile 353280 2014-05-08 
07:59:13Z antoine $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-default/2014-06-12_04h07m16s/logs/tokyopromenade-0.9.22_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-default/2014-06-12_04h07m16s
Log:

====>> Building www/tokyopromenade
build started at Thu Jun 12 19:31:35 UTC 2014
port directory: /usr/ports/www/tokyopromenade
building for: FreeBSD 91i386-default-job-06 9.1-RELEASE-p13 FreeBSD 
9.1-RELEASE-p13 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/www/tokyopromenade/Makefile 353280 
2014-05-08 07:59:13Z antoine $
Poudriere version: 3.1-pre
Host OSVERSION: 1100022
Jail OSVERSION: 901000

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE-p13
UNAME_r=9.1-RELEASE-p13
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/91i386-default/ref
PKG_EXT=txz
tpid=45939
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=tokyopromenade-0.9.22_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/91i386-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/91i386-default/ref/poudriere/pool
MASTERNAME=91i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for 
tokyopromenade-0.9.22_1:
     LUA=off: Lua scripting language support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--enable-fcgi --disable-lua --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" LUA_MODLIBDIR=/usr/local/lib/lua/5.2  
LUA_MODSHAREDIR=/usr/local/share/lua/5.2  LUA_VER=5.2  
LUA_INCDIR=/usr/local/include/lua52  LUA_LIBDIR=/usr/local/lib NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-Wno-incompatible-pointer-types-discards-qualifiers"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-Wno-incompatible-pointer-types-discards-qualifiers"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
LUA_MODLIBDIR=lib/lua/5.2
LUA_MODSHAREDIR=share/lua/5.2
LUA_VER=5.2
LUA_INCDIR=/usr/local/include/lua52
LUA_LIBDIR=/usr/local/lib
LUA_VER_STR=52
OSREL=9.1
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/tokyopromenade"
EXAMPLESDIR="share/examples/tokyopromenade"
DATADIR="share/tokyopromenade"
WWWDIR="www/tokyopromenade"
ETCDIR="etc/tokyopromenade"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/tokyopromenade
DOCSDIR=/usr/local/share/doc/tokyopromenade
EXAMPLESDIR=/usr/local/share/examples/tokyopromenade
WWWDIR=/usr/local/www/tokyopromenade
ETCDIR=/usr/local/etc/tokyopromenade
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for tokyopromenade-0.9.22_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   tokyopromenade-0.9.22_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of tokyopromenade-0.9.22_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by tokyopromenade-0.9.22_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by tokyopromenade-0.9.22_1 for building
=> SHA256 Checksum OK for tokyopromenade-0.9.22.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by tokyopromenade-0.9.22_1 for building
===>  Extracting for tokyopromenade-0.9.22_1
=> SHA256 Checksum OK for tokyopromenade-0.9.22.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for tokyopromenade-0.9.22_1
/usr/bin/sed -i.bak -e "s/llua/llua-5.2/g" 
/wrkdirs/usr/ports/www/tokyopromenade/work/tokyopromenade-0.9.22/configure
===========================================================================
=======================<phase: build-depends  >============================
===>   tokyopromenade-0.9.22_1 depends on package: tokyocabinet>=1.4.31 - not 
found
===>    Verifying install for tokyocabinet>=1.4.31 in 
/usr/ports/databases/tokyocabinet
===>   Installing existing package /packages/All/tokyocabinet-1.4.48.txz
Installing tokyocabinet-1.4.48... done
===>   Returning to build of tokyopromenade-0.9.22_1
===>   tokyopromenade-0.9.22_1 depends on package: fcgi-devkit>=0 - not found
===>    Verifying install for fcgi-devkit>=0 in /usr/ports/www/fcgi
===>   Installing existing package /packages/All/fcgi-devkit-2.4.0.txz
Installing fcgi-devkit-2.4.0... done
===>   Returning to build of tokyopromenade-0.9.22_1
===>   tokyopromenade-0.9.22_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1_1...Installing 
libiconv-1.14_3... done
 done
 done
===>   Returning to build of tokyopromenade-0.9.22_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   tokyopromenade-0.9.22_1 depends on shared library: libtokyocabinet.so - 
found (/usr/local/lib/libtokyocabinet.so.9.11.0)
===>   tokyopromenade-0.9.22_1 depends on shared library: liblua-5.2.so - not 
found
===>    Verifying for liblua-5.2.so in /usr/ports/lang/lua52
===>   Installing existing package /packages/All/lua52-5.2.3_2.txz
Installing lua52-5.2.3_2... done
===>   Returning to build of tokyopromenade-0.9.22_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for tokyopromenade-0.9.22_1
configure: loading site script /usr/ports/Templates/config.site
#================================================================
# Configuring Tokyo Promenade version 0.9.22 (fcgi).
#================================================================
checking for gcc... cc
checking whether the C compiler works... no
configure: error: in 
`/wrkdirs/usr/ports/www/tokyopromenade/work/tokyopromenade-0.9.22':
configure: error: C compiler cannot create executables
See `config.log' for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to po...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/www/tokyopromenade/work/tokyopromenade-0.9.22/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/www/tokyopromenade.
===>  Cleaning for tokyopromenade-0.9.22_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to